lbpolicy_binding
Binding object which returns the resources bound to lbpolicy.
Properties
(click to see Operations )
| Name | Data Type | Permissions | Description |
|---|---|---|---|
| name | <String> | Read-write | Name of the LB policy.
Must begin with a letter, number, or the underscore character (_), and must contain only letters, numbers, and the hyphen (-), period (.) pound (#), space ( ), at (@), equals (=), colon (:), and underscore characters. Can be changed after the LB policy is added.
The following requirement applies only to the Citrix ADC CLI:
If the name includes one or more spaces, enclose the name in double or single quotation marks (for example, "my lb policy" or 'my lb policy').
|
| lbpolicy_lbpolicylabel_binding | <lbpolicy_lbpolicylabel_binding[]> | Read-only | lbpolicylabel that can be bound to lbpolicy. |
| lbpolicy_lbglobal_binding | <lbpolicy_lbglobal_binding[]> | Read-only | lbglobal that can be bound to lbpolicy. |
| lbpolicy_lbvserver_binding | <lbpolicy_lbvserver_binding[]> | Read-only | lbvserver that can be bound to lbpolicy. |
| lbpolicy_gslbvserver_binding | <lbpolicy_gslbvserver_binding[]> | Read-only | gslbvserver that can be bound to lbpolicy. |
Operations
(click to see Properties )
- GET
- GET (ALL)
Some options that you can use for each operations:
-
Getting warnings in response: NITRO allows you to get warnings in an operation by specifying the 'warning' query parameter as 'yes'. For example, to get warnings while connecting to the NetScaler appliance, the URL is as follows:http:// <netscaler-ip-address> /nitro/v1/config/login?warning=yesIf any, the warnings are displayed in the response payload with the HTTP code '209 X-NITRO-WARNING'.
-
Authenticated access for individual NITRO operations: NITRO allows you to logon to the NetScaler appliance to perform individual operations. You can use this option instead of creating a NITRO session (using the login object) and then using that session to perform all operations,To do this, you must specify the username and password in the request header of the NITRO request as follows:X-NITRO-USER: <username>X-NITRO-PASS: <password>Note: In such cases, make sure that the request header DOES not include the following:Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
*Note: * Mandatory parameters are marked in red and placeholder content is marked in green
get
URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_binding/ name_value<String> HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicy_binding": [ {
"name":<String_value>,
"lbpolicy_gslbvserver_binding":<lbpolicy_gslbvserver_binding[]_value>,
"lbpolicy_lbpolicylabel_binding":<lbpolicy_lbpolicylabel_binding[]_value>,
"lbpolicy_lbvserver_binding":<lbpolicy_lbvserver_binding[]_value>,
"lbpolicy_lbglobal_binding":<lbpolicy_lbglobal_binding[]_value>
}]}
get (all)
URL: http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_binding HTTP Method: GET
Request Headers:
Cookie:NITRO_AUTH_TOKEN= <tokenvalue>
Accept:application/json
Query-parameters: bulkbindings http:// <netscaler-ip-address> /nitro/v1/config/lbpolicy_binding? bulkbindings=yes
NITRO allows you to fetch bindings in bulk.
Note: get (all) method can be used only in conjuction with bulkbindings query parameter.
Response: HTTP Status Code on Success: 200 OK
HTTP Status Code on Failure: 4xx <string> (for general HTTP errors) or 5xx <string> (for NetScaler-specific errors). The response payload provides details of the error
Response Header:
Content-Type:application/json
Response Payload:
{ "lbpolicy_binding": [ {
"name":<String_value>,
"lbpolicy_gslbvserver_binding":<lbpolicy_gslbvserver_binding[]_value>,
"lbpolicy_lbpolicylabel_binding":<lbpolicy_lbpolicylabel_binding[]_value>,
"lbpolicy_lbvserver_binding":<lbpolicy_lbvserver_binding[]_value>,
"lbpolicy_lbglobal_binding":<lbpolicy_lbglobal_binding[]_value>
}]}